[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemonThread.StopDaemon

Stops the daemon

## Declaration

Source position: daemonapp.pp line 317

`public function TDaemonThread.StopDaemon: Boolean; virtual;`

## Function result

True if the daemon was stopped succesfully.

## Description

StopDaemon attempts to stop the daemon using its TDaemon.Stop method, and terminates the thread.

## See also

TDaemon.Stop
TDaemonThread.PauseDaemon |  | Pause the daemon
TDaemonThread.ShutDownDaemon |  | Shut down daemon

The latest version of this document can be found at lazarus-ccr.sourceforge.net .